# Generated from sensu-check-esc-1.0.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sensu-check-esc

Name: rubygem-%{gem_name}
Version: 1.0.7
Release: 1%{?dist}
Summary: A simple plugin to check eec status
License: NONSTANDARD
URL: https://oneuni.net
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(redcarpet) >= 3.3
# BuildRequires: rubygem(redcarpet) < 4
# BuildRequires: rubygem(redcarpet) >= 3.3.4
# BuildRequires: rubygem(github-markup) >= 1.3
# BuildRequires: rubygem(github-markup) < 2
# BuildRequires: rubygem(pry) >= 0.10
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(yard) >= 0.8
# BuildRequires: rubygem(yard) < 1
BuildArch: noarch

%description
A simple plugin to check esc.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/sensu-check-esc-api-alerts.rb
%{_bindir}/sensu-check-esc-critical-errors.rb
%{_bindir}/sensu-check-esc-general-errors.rb
%{_bindir}/sensu-check-esc-stuck-cron.rb
%{_bindir}/sensu-check-esc-system-errors.rb
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%changelog
* Wed Sep 15 2021 mockbuilder - 1.0.7-1
- Initial package
